# ApplicationFramework
TKLCAF
TDF

# TDF_DeltaOnRemoval Class Reference

This class provides default services for an
AttributeDelta on a REMOVAL action.
Applying this AttributeDelta means ADDING its
attribute.
.

`#include <TDF_DeltaOnRemoval.hxx>`

Inheritance diagram for TDF_DeltaOnRemoval:

[legend]

## Public Member Functions

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | TDF_DeltaOnRemoval (const Handle(TDF_Attribute)&anAtt)
| Initializes a TDF_DeltaOnRemoval. .

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DeltaOnRemoval::TDF_DeltaOnRemoval | ( | const Handle(TDF_Attribute)& | anAtt | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const TDF_DeltaOnRemoval::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_AttributeDelta. Reimplemented in TDF_DefaultDeltaOnRemoval, and TNaming_DeltaOnRemoval.

The documentation for this class was generated from the following file:

- TDF_DeltaOnRemoval.hxx